LettrLabs API
API ReferenceTemplates

List templates

Lists the authenticated account's active templates — the set usable as templateId when creating an order. Paginated; preview image URLs are time-limited.

GET
/v1/templates

Lists the authenticated account's active templates — the set usable as templateId when creating an order. Paginated; preview image URLs are time-limited.

X-API-KEY<token>

In: header

Query Parameters

pageNumber?integer

Page number (0-based). Defaults to 0.

pageSize?integer

Page size. Defaults to 100.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/templates"
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "templates": [      {        "id": 0,        "name": "string",        "product": "string",        "previews": {          "sceneFrontThumb": "string",          "sceneBackThumb": "string",          "sceneFrontFull": "string",          "sceneBackFull": "string",          "envelopeFull": "string"        }      }    ],    "total": 0,    "hasMore": true  },  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "templates": [      {        "id": 0,        "name": "string",        "product": "string",        "previews": {          "sceneFrontThumb": "string",          "sceneBackThumb": "string",          "sceneFrontFull": "string",          "sceneBackFull": "string",          "envelopeFull": "string"        }      }    ],    "total": 0,    "hasMore": true  },  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "metadata": {    "property1": null,    "property2": null  }}
"string"
{  "authenticationSchemes": [    "string"  ],  "properties": {    "items": {      "property1": "string",      "property2": "string"    }  }}